Subject: Re: IPv6 over Ethernet question

From: Ignatios Souvatzis <[email-masked]>
Date: Mon, 7 Jul 2003 15:00:31 +0200

On Thu, Jun 26, 2003 at 03:24:19PM +0200, Nir Arad wrote:
> 
> I am reading RFC 2464, and I have encountered chapter 6, titled
> "Address Mapping -- Unicast".
> I have to admit I still didn't read the related RFC 2461 (Neighbor
> Discovery),

Then please do this.

> but I was wondering if someone would be
> willing to provide a short explanation of what is the purpose of this mapping.

The purpose of mapping IPv6 addresses to Ethernet addresses is to map 
IPv6 addresses to Ethernet addresses, so that your IPv6 packets can be
sent as Ethernet packets to the Ethernet address of your next hop host.

	-is

---

From: "Nir Arad" <[email-masked]>
Date: Tue, 8 Jul 2003 17:28:28 +0200

Dear Ignatios and all,

As far as my understanding goes, it is the link-local IP address that is mapped from the MAC address.
There is no MAC address mapped from any IP address, as this may results a Layer 2 havoc.
As for this issue, the referenced phrase in RFC 2464 is still a mistery to me:
"The procedure for mapping IPv6 unicast addresses into Ethernet link-layer addresses is described in [DISC]."
I have searched RFC 2464 for "Ethernet" and found no such mapping procedure.

Another question on section 6 of RFC 2464, and having read parts of RFC 2461 (ND):
It is still unclear to me why must a node send the source link layer address option in neighbor solicitations and the
like (it MUST do it in multicast solicitations); This address is already a part of the sent packet (for Ethernet).
Why send the same data twice?

Regards,

-- Nir Arad

----- Original Message ----- 
From: "Ignatios Souvatzis" <[email-masked]>
To: "Nir Arad" <[email-masked]>
Cc: "IPng mailing list" <[email-masked]>
Sent: Monday, July 07, 2003 3:00 PM
Subject: Re: IPv6 over Ethernet question

Then please do this.

 -is

--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------